
Redmine - Defect #30809

Spent time report > CSV not obeying filters

2019-02-14 09:14 - Maxim Krušina

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.0.1

Description

When exporting time sheet from Project / Spent time / Report, the exported CSV contains much more information than visible on

screen - in my case, it contains all versions from all projects, not only from the current one.

Related issues:

Is duplicate of Redmine - Defect #31511: CSV export of time entries report do... Closed

History

#1 - 2019-03-25 12:55 - Go MAEDA

- Status changed from New to Needs feedback

I cannot reproduce the problem. Could you show the detailed steps to reproduce?

#2 - 2019-07-10 10:25 - Vilppu Vuorinen

Go MAEDA wrote:

I cannot reproduce the problem. Could you show the detailed steps to reproduce?

 I can reproduce this on 4.0.2. It looks like this is regression related to #13618.

Steps

1. Navigate to a project

2. Navigate to Spent time of the project

3. Select Report, Details: Month, Add: Project

4. Download as CSV

Expected result

CSV file containing spent time entries of the current project

Actual result

CSV file containing monthly spent time of every project

#3 - 2019-07-12 01:58 - Mizuki ISHIKAWA

I think this problem is related to #31511.

#31511 was fixed in Redmine 4.0.4.

#4 - 2019-07-12 09:17 - Go MAEDA

- Is duplicate of Defect #31511: CSV export of time entries report does not honor project filter added

#5 - 2019-07-12 09:18 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Mizuki ISHIKAWA wrote:

I think this problem is related to #31511.
#31511 was fixed in Redmine 4.0.4.

 Exactly. Thank you for pointing it out.
